Your message dated Fri, 29 Oct 2021 11:03:32 +0000
with message-id <[email protected]>
and subject line Bug#941024: fixed in libsdl2-ttf 2.0.15+dfsg1-2
has caused the Debian Bug report #941024,
regarding libsdl2-ttf: please add an autopkgtest smoke-test
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact [email protected]
immediately.)


-- 
941024: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=941024
Debian Bug Tracking System
Contact [email protected] with problems
--- Begin Message ---
Source: libsdl2-ttf
Version: 2.0.15+dfsg1-1
Severity: wishlist
Tags: patch

Having an autopkgtest smoke-test is a useful way to check that packages
haven't regressed, and also a useful way to check that the pkg-config
metadata in a -dev package remains usable as-is (no missing dependencies).

In libsdl2-ttf, the demo/example code in showfont.c can be used as an
automated or manual smoke-test. Please consider the attached patch.
I wrote it while testing a backport of libsdl2-ttf in a Debian derivative,
but it's equally applicable in Debian itself.

(Of course, a more thorough test would also be great to have, but something
is better than nothing.)

Thanks,
    smcv
>From e572368d9254d3b432bf9dbc3fb5cd919043f35a Mon Sep 17 00:00:00 2001
From: Simon McVittie <[email protected]>
Date: Mon, 23 Sep 2019 16:10:00 +0100
Subject: [PATCH] Add a smoke-test using the supplied showfont.c

Signed-off-by: Simon McVittie <[email protected]>
---
 debian/copyright             |  5 +++++
 debian/tests/control         |  8 ++++++++
 debian/tests/libsdl2-ttf-dev | 36 ++++++++++++++++++++++++++++++++++++
 3 files changed, 49 insertions(+)
 create mode 100644 debian/tests/control
 create mode 100755 debian/tests/libsdl2-ttf-dev

diff --git a/debian/copyright b/debian/copyright
index 798b66d..d18716c 100644
--- a/debian/copyright
+++ b/debian/copyright
@@ -14,6 +14,11 @@ Copyright: 2012-2013, Manuel A. Fernandez Montecelo <[email protected]>
 License: zlib/libpng
 
 
+Files: debian/tests/*
+Copyright: 2019 Collabora Ltd.
+License: zlib/libpng
+
+
 License: zlib/libpng
  This software is provided 'as-is', without any express or implied
  warranty.  In no event will the authors be held liable for any damages
diff --git a/debian/tests/control b/debian/tests/control
new file mode 100644
index 0000000..6e92722
--- /dev/null
+++ b/debian/tests/control
@@ -0,0 +1,8 @@
+Tests: libsdl2-ttf-dev
+Restrictions: allow-stderr, superficial
+Depends:
+ file,
+ fonts-cantarell,
+ libsdl2-ttf-dev,
+ xauth,
+ xvfb,
diff --git a/debian/tests/libsdl2-ttf-dev b/debian/tests/libsdl2-ttf-dev
new file mode 100755
index 0000000..0fbf55e
--- /dev/null
+++ b/debian/tests/libsdl2-ttf-dev
@@ -0,0 +1,36 @@
+#!/bin/sh
+# Copyright 2019 Collabora Ltd.
+# SPDX-License-Identifier: Zlib
+# (see "zlib/libpng" in debian/copyright)
+
+set -eux
+
+if [ -n "${AUTOPKGTEST_ARTIFACTS-}" ]; then
+	WORKDIR="$AUTOPKGTEST_ARTIFACTS"
+else
+	WORKDIR="$(mktemp -d)"
+	trap 'cd /; rm -fr "$WORKDIR"' 0 INT QUIT ABRT PIPE TERM
+fi
+
+cp showfont.c "$WORKDIR"
+
+cd "$WORKDIR"
+
+# Deliberately word-splitting pkg-config's output:
+# shellcheck disable=SC2046
+gcc -oshowfont showfont.c $(pkg-config --cflags --libs SDL2_ttf)
+
+set -- ./showfont
+
+if [ -z "${TEST_INTERACTIVE-}" ]; then
+	echo "(export TEST_INTERACTIVE=1 for an interactive test)"
+	set -- xvfb-run -a "$@" -dump
+fi
+
+set -- "$@" /usr/share/fonts/opentype/cantarell/Cantarell-Regular.otf
+
+"$@"
+
+if [ -z "${TEST_INTERACTIVE-}" ]; then
+	file glyph-100.bmp
+fi
-- 
2.23.0


--- End Message ---
--- Begin Message ---
Source: libsdl2-ttf
Source-Version: 2.0.15+dfsg1-2
Done: Simon McVittie <[email protected]>

We believe that the bug you reported is fixed in the latest version of
libsdl2-ttf, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to [email protected],
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Simon McVittie <[email protected]> (supplier of updated libsdl2-ttf package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing [email protected])


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Fri, 29 Oct 2021 11:17:38 +0100
Source: libsdl2-ttf
Architecture: source
Version: 2.0.15+dfsg1-2
Distribution: unstable
Urgency: medium
Maintainer: Debian SDL packages maintainers 
<[email protected]>
Changed-By: Simon McVittie <[email protected]>
Closes: 941024
Changes:
 libsdl2-ttf (2.0.15+dfsg1-2) unstable; urgency=medium
 .
   * Team upload
 .
   [ Felix Geyer ]
   * Switch to debhelper compat level 12
 .
   [ Simon McVittie ]
   * Add an autopkgtest smoke-test (Closes: #941024)
   * d/rules: Don't explicitly use --as-needed linker option.
     It's the default with bullseye toolchains.
   * d/rules: Stop overriding dh_compress.
     In debhelper compat level 12, examples are not compressed by default.
   * d/rules: Remove unnecessary -dbgsym migration path.
     The migration happened between Debian 9 and Debian 10, and we don't
     support skipping a release.
   * Use recommended debhelper compat level 13.
     Drop dh_missing override, --fail-missing is now the default.
   * Use a .symbols file to track the ABI.
     2.0.15 is available since Debian 10, so I haven't attempted to determine
     which symbols were already available in older releases.
   * Re-export upstream signing key without extra signatures.
   * d/copyright: Add Files-Excluded to document what we remove.
     This allows a suitably repacked tarball to be downloaded using uscan.
   * Standards-Version: 4.6.0 (no changes required)
Checksums-Sha1:
 b14dc940649cb1331f185ea2ea24ab92ca46bcd0 2378 libsdl2-ttf_2.0.15+dfsg1-2.dsc
 b0b60e9b43079229f55e6b62e45e54147d6129b7 5476 
libsdl2-ttf_2.0.15+dfsg1-2.debian.tar.xz
 3d1e129d511778a50962d553f9dbe37e951336fc 10321 
libsdl2-ttf_2.0.15+dfsg1-2_source.buildinfo
Checksums-Sha256:
 3f4377d48117f9082884f4b1bdd947a69b2aba1bfcd7be82898705909e42b533 2378 
libsdl2-ttf_2.0.15+dfsg1-2.dsc
 9c26b62f0fd95c630e46873b3b60a899af2668c51106062053805b8eff43933a 5476 
libsdl2-ttf_2.0.15+dfsg1-2.debian.tar.xz
 013b342bcb4d5bfa489dcb7c5163ffc5dda42e6b0685db52958c4d7851afcc99 10321 
libsdl2-ttf_2.0.15+dfsg1-2_source.buildinfo
Files:
 3a036ec1b561ef3d2dc520da81dcb9ef 2378 libs optional 
libsdl2-ttf_2.0.15+dfsg1-2.dsc
 6456361e49744756ea22f2a1f8dbc1cd 5476 libs optional 
libsdl2-ttf_2.0.15+dfsg1-2.debian.tar.xz
 7637ac3537e8ecc7665e9676222620af 10321 libs optional 
libsdl2-ttf_2.0.15+dfsg1-2_source.buildinfo

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCAAdFiEENuxaZEik9e95vv6Y4FrhR4+BTE8FAmF70FIACgkQ4FrhR4+B
TE9I+BAAicao8Yg3v3meG6A6EqguS9RmIEyfSRO7kFiNAip+EjYz26RNldG4LsE3
0RYoTlC6gy9tKnITcjbEOC9SplP2GLnpdN42R3ahcoGIACAeu+FAkr5tj+n4VTcJ
BzfS/PYKR2nguCJAYfSZ3jiRBkWLYb78djR5xK0/GoFNrCIExJq1MQJ4eex3AfGy
K2kge/qr8BjuXtA7DQI6ec+eNqfcajdwf3FgruNJptO3c1NKvWn5Nai29c2iy25E
t+RfupgxOYIgc85pF8HaXH67xUjFVwEja+rzUotNA5i9MhDodNHLq+lJ6y0hoUiL
IuyPE0pyso1sPlN1nQPOWB+JYci0FPkcHXfDa1KiSxjaQwqj/Z0lQwYWO89UO5oO
xGGIvdCOeLNm6+t7AfJ4RCsGDTyeebH5kZKMjTvssL2++828neK0gYCWNbPiInvI
7H8a8UDpXLA7+NKVN2BWvl+nYXXuSPAdE62335sfI891mJFzuavrTRQiOUBcjzlE
LR0Q52ygJRyKT3bAg2E21VpScnapyO59rj4Nzj6vJqLChIju7PQnwpHwdstfhxqf
BMy3nScbkWlxxirZMrtiDj+CAOsikqkWjOGIjdqRGcFQK5Cvl1247Fx+kXBKVUb3
br1SEe/l6KY5HoQsVkdmExEnQupatTLNs5pn+UZ7hXji2uRS8ew=
=f6xT
-----END PGP SIGNATURE-----

--- End Message ---

Reply via email to